Package ghidra.framework.task

# Class GTaskListenerAdapter

java.lang.Object
ghidra.framework.task.GTaskListenerAdapter

All Implemented Interfaces:
  `GTaskListener`

public class GTaskListenerAdapter extends Object implements GTaskListener
A Dummy implementation to that listeners can subclass this and not have to fill in methods they don't need.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GTaskListenerAdapter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `initialize()`
  Called when a task listener is added so that the listener can get all the initial state of the taskManger while the taskManager is in a locked state where nothing will change.
  `void`
  `suspendedStateChanged(boolean suspended)`
  Notification that the GTaskManager has been suspended or resumed.
  `void`
  `taskCompleted(GScheduledTask task, GTaskResult result)`
  Notification that a task is no longer running regardless of whether it completed normally, was cancelled, or threw an unhandled exception.
  `void`
  `taskGroupCompleted(GTaskGroup taskGroup)`
  Notification that the GTaskGroup has completed running.
  `void`
  `taskGroupScheduled(GTaskGroup group)`
  Notification that a GTaskGroup has been scheduled.
  `void`
  `taskGroupStarted(GTaskGroup taskGroup)`
  Notification that a new GTaskGroup has started to run.
  `void`
  `taskScheduled(GScheduledTask scheduledTask)`
  Notification that a new GTask has been scheduled to run.
  `void`
  `taskStarted(GScheduledTask task)`
  Notification that a task is starting to run

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GTaskListenerAdapter

    public GTaskListenerAdapter()

- ## Method Details

  - ### taskCompleted

    public void taskCompleted(GScheduledTask task, GTaskResult result)
    Description copied from interface: `GTaskListener`
    Notification that a task is no longer running regardless of whether it completed normally, was cancelled, or threw an unhandled exception.
    Specified by:
      `taskCompleted` in interface `GTaskListener`
    Parameters:
      `task` - the ScheduledTask that was running.
      `result` - the result state for the task.

  - ### taskGroupScheduled

    public void taskGroupScheduled(GTaskGroup group)
    Description copied from interface: `GTaskListener`
    Notification that a GTaskGroup has been scheduled.
    Specified by:
      `taskGroupScheduled` in interface `GTaskListener`
    Parameters:
      `group` - the GTaskGroup that has been scheduled to run.

  - ### taskScheduled

    public void taskScheduled(GScheduledTask scheduledTask)
    Description copied from interface: `GTaskListener`
    Notification that a new GTask has been scheduled to run.
    Specified by:
      `taskScheduled` in interface `GTaskListener`
    Parameters:
      `scheduledTask` - the GScheduledTask that wraps the GTask with scheduling information.

  - ### taskGroupStarted

    public void taskGroupStarted(GTaskGroup taskGroup)
    Description copied from interface: `GTaskListener`
    Notification that a new GTaskGroup has started to run.
    Specified by:
      `taskGroupStarted` in interface `GTaskListener`
    Parameters:
      `taskGroup` - the new GTaskGroup that is running.

  - ### taskStarted

    public void taskStarted(GScheduledTask task)
    Description copied from interface: `GTaskListener`
    Notification that a task is starting to run
    Specified by:
      `taskStarted` in interface `GTaskListener`
    Parameters:
      `task` - the GTask that is starting to run

  - ### initialize

    public void initialize()
    Description copied from interface: `GTaskListener`
    Called when a task listener is added so that the listener can get all the initial state of the taskManger while the taskManager is in a locked state where nothing will change.
    Specified by:
      `initialize` in interface `GTaskListener`

  - ### taskGroupCompleted

    public void taskGroupCompleted(GTaskGroup taskGroup)
    Description copied from interface: `GTaskListener`
    Notification that the GTaskGroup has completed running.
    Specified by:
      `taskGroupCompleted` in interface `GTaskListener`
    Parameters:
      `taskGroup` - the GTaskGroup that has completed running.

  - ### suspendedStateChanged

    public void suspendedStateChanged(boolean suspended)
    Description copied from interface: `GTaskListener`
    Notification that the GTaskManager has been suspended or resumed.
    Specified by:
      `suspendedStateChanged` in interface `GTaskListener`
    Parameters:
      `suspended` - true if the GTaskManger has been suspended, or false if it has been resumed.